version: "3.5"

services:
  redis:
    image: redis:5.0.3
    ports:
      - 6379:6379

  scylla:
    image: scylladb/scylla:3.0.2
    ports:
      - 9042:9042

  pulsar:
    image: apachepulsar/pulsar:2.2.1
    command: bin/pulsar standalone
    ports:
      - 6650:6650
      - 8081:8080

  pulsar-dashboard:
    image: apachepulsar/pulsar-dashboard:2.3.2
    environment:
      - SERVICE_URL=http://pulsar:8080
    ports:
      - 8082:80